Bug 1570358 - [abrt] PackageKit: solv_realloc(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: solv_realloc(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2401f716c6dcb3bc9cefb73bdc8...
: 1575189 1577073 1577642 1577679 1583826 1585372 1585774 1591591 1628916 1641255 1643675 1651066 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 09:18 UTC by Gwendal
Modified: 2019-05-28 23:19 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:19:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.36 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: core_backtrace (13.06 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: cpuinfo (1.75 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: dso_list (8.58 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: environ (190 bytes, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: maps (37.71 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: open_fds (2.76 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details
File: var_log_messages (270 bytes, text/plain)
2018-04-22 09:18 UTC, Gwendal
no flags Details

Description Gwendal 2018-04-22 09:18:08 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: solv_realloc
executable:     /usr/libexec/packagekitd
journald_cursor: s=8f2552395fbf44079fc67d028b0eb1da;i=10e5;b=ab92b9c1c8d14aa8ae686b72c55e3a62;m=eb0d704;t=56a6c481948a8;x=119fe5feba63d0e6
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1452661

Comment 1 Gwendal 2018-04-22 09:18:14 UTC
Created attachment 1425279 [details]
File: backtrace

Comment 2 Gwendal 2018-04-22 09:18:15 UTC
Created attachment 1425280 [details]
File: cgroup

Comment 3 Gwendal 2018-04-22 09:18:17 UTC
Created attachment 1425281 [details]
File: core_backtrace

Comment 4 Gwendal 2018-04-22 09:18:18 UTC
Created attachment 1425282 [details]
File: cpuinfo

Comment 5 Gwendal 2018-04-22 09:18:20 UTC
Created attachment 1425283 [details]
File: dso_list

Comment 6 Gwendal 2018-04-22 09:18:21 UTC
Created attachment 1425284 [details]
File: environ

Comment 7 Gwendal 2018-04-22 09:18:23 UTC
Created attachment 1425285 [details]
File: limits

Comment 8 Gwendal 2018-04-22 09:18:25 UTC
Created attachment 1425286 [details]
File: maps

Comment 9 Gwendal 2018-04-22 09:18:26 UTC
Created attachment 1425287 [details]
File: mountinfo

Comment 10 Gwendal 2018-04-22 09:18:28 UTC
Created attachment 1425288 [details]
File: open_fds

Comment 11 Gwendal 2018-04-22 09:18:30 UTC
Created attachment 1425289 [details]
File: proc_pid_status

Comment 12 Gwendal 2018-04-22 09:18:31 UTC
Created attachment 1425290 [details]
File: var_log_messages

Comment 13 Arne 2018-05-05 02:32:44 UTC
*** Bug 1575189 has been marked as a duplicate of this bug. ***

Comment 14 dorofieiev.d 2018-05-11 07:13:21 UTC
*** Bug 1577073 has been marked as a duplicate of this bug. ***

Comment 15 marcel 2018-05-13 17:18:15 UTC
*** Bug 1577642 has been marked as a duplicate of this bug. ***

Comment 16 Paulim_hed 2018-05-13 23:03:03 UTC
*** Bug 1577679 has been marked as a duplicate of this bug. ***

Comment 17 Jason Birch 2018-05-29 19:34:05 UTC
*** Bug 1583826 has been marked as a duplicate of this bug. ***

Comment 18 bart.jaskulski 2018-05-30 14:52:53 UTC
Similar problem has been detected:

Please help me with gnome crash.
Since some updates and messing around with my os there has begun more and more gnome-shell crashes, especially after installing nvidia driver (GTX 750 Ti)
I got back to nouveu driver but it doesn't help at all.
The crash appears mostly when I unmount ntfs drives from system (dual-boot win10)

There's also another problem and I dunno know if gnome is involved in that, but each torrent client causes system freeze and there's nothing to do, but to restart PC, is there rather fault of graphical driver or gnome-shell?

Thanks in advance!

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/libexec/packagekitd
crash_function: solv_realloc
executable:     /usr/libexec/packagekitd
journald_cursor: s=4f5ca1e1fb23444e8c883328d8d8ac5c;i=5c27;b=e1c0aa647c48490ea19f9a989bcc33d4;m=541872c4;t=56d6cca24b752;x=cab9ac6f4cef7aa1
kernel:         4.16.11-300.fc28.x86_64
package:        PackageKit-1.1.10-1.fc28
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 19 Justin H. Kelm 2018-06-02 04:59:23 UTC
*** Bug 1585372 has been marked as a duplicate of this bug. ***

Comment 20 Nicholas 2018-06-04 17:03:02 UTC
*** Bug 1585774 has been marked as a duplicate of this bug. ***

Comment 21 Leonardo Sanchez 2018-06-15 04:46:29 UTC
*** Bug 1591591 has been marked as a duplicate of this bug. ***

Comment 22 Prasanna V. Loganathar 2018-09-14 11:16:12 UTC
*** Bug 1628916 has been marked as a duplicate of this bug. ***

Comment 23 Dane Kirkendall 2018-10-20 14:09:35 UTC
*** Bug 1641255 has been marked as a duplicate of this bug. ***

Comment 24 Dmitrtiy 2018-10-27 08:12:56 UTC
*** Bug 1643675 has been marked as a duplicate of this bug. ***

Comment 25 Sean 2018-11-19 05:52:09 UTC
*** Bug 1651066 has been marked as a duplicate of this bug. ***

Comment 26 Ben Cotton 2019-05-02 20:17:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-05-28 23:19:06 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.